/* 
 *  Functions exported by the
 *  K&R Oroogu Compiler Runtime Support Package
 *
 *  Version 0.301
 *
 *  Implemented by Georg Kraml & Angelika Riemer
 * 
 */

#ifndef _ORSPH
#define _ORSPH

/* arithmetic expressions */
int exp(int b, int e);
int get(int id);
int peek(int id);
int assert(int val);

/* storage */
void lval(int slot, ...);
void resetstring();
void range(int begin, int end, int fill);
void addtext(const char *string);
void assign(int slot, int id);
void diff(int slot, int id);
void append(int slot, int id);

/* flow control */
int loop(int slot);

/* infrastructure */
void startup(int depth, int width, int num, const char *cmd);
void lexeme(int id, const char *lex);
void cleanup();

#endif
